com.ihr.xbrl.om.table.errors

## Class XTRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.ihr.xbrl.om.errors.XBRLRuntimeException
        - - com.ihr.xbrl.om.table.errors.XTRuntimeException

- All Implemented Interfaces:
    java.io.Serializable

      public class XTRuntimeException
      extends XBRLRuntimeException

  The Class XTRuntimeException.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XTRuntimeException(java.lang.String string, XBRLInconsistency e)` Instantiates a new XT runtime exception.
    `XTRuntimeException(java.lang.String string, XBRLSerializationException e)` Instantiates a new XT runtime exception.
    `XTRuntimeException(java.lang.String string, XBRLValidationException e)` Instantiates a new XT runtime exception.

  - ### Method Summary

    - ### Methods inherited from class com.ihr.xbrl.om.errors.XBRLRuntimeException

      `getCode, getInconsistency, getSerializationException, getValidationException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XTRuntimeException

          public XTRuntimeException(java.lang.String string,
                            XBRLInconsistency e)

      Instantiates a new XT runtime exception.
      Parameters:
        `string` - the string
        `e` - the e

    - #### XTRuntimeException

          public XTRuntimeException(java.lang.String string,
                            XBRLSerializationException e)

      Instantiates a new XT runtime exception.
      Parameters:
        `string` - the string
        `e` - the e

    - #### XTRuntimeException

          public XTRuntimeException(java.lang.String string,
                            XBRLValidationException e)

      Instantiates a new XT runtime exception.
      Parameters:
        `string` - the string
        `e` - the e